aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rwxr-xr-xshare/hydra/init3
-rwxr-xr-xshare/hydra/register45
2 files changed, 46 insertions, 2 deletions
diff --git a/share/hydra/init b/share/hydra/init
index c68b562..7b6d348 100755
--- a/share/hydra/init
+++ b/share/hydra/init
@@ -29,7 +29,7 @@ if [ -z "$BASEDIR" ]; then
echo "Usage: hydra [hydra] init <path> [remote]"
exit 1
elif grep -q -e "^$HYDRA=" $CONFIG &> /dev/null; then
- echo "Hydra $HYDRA already defined"
+ echo "Hydra $HYDRA already registered"
exit 1
elif [ -d "$BASEDIR" ]; then
echo "Folder $BASEDIR already exists, hydra $HYDRA already defined?"
@@ -44,7 +44,6 @@ BASEDIR="`cd $BASEDIR && pwd`"
# Add entry
echo "Registering hydra $HYDRA..."
-mkdir -p $BASEDIR
chmod 700 $BASEDIR
echo "$HYDRA=\"$BASEDIR\"" >> $CONFIG
diff --git a/share/hydra/register b/share/hydra/register
new file mode 100755
index 0000000..c15e41f
--- /dev/null
+++ b/share/hydra/register
@@ -0,0 +1,45 @@
+#!/bin/bash
+#
+# Register an existing hydra
+#
+# This program is free software: you can redistribute it and/or modify
+# it under the terms of the GNU Affero General Public License as
+# published by the Free Software Foundation, either version 3 of the
+# License, or (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU Affero General Public License for more details.
+#
+# You should have received a copy of the GNU Affero General Public
+# License along with this program. If not, see
+# <http://www.gnu.org/licenses/>.
+
+# Load
+source $APP_BASE/lib/hydra/functions || exit 1
+hydra_config_load
+
+# Command line arguments
+BASEDIR="$1"
+REMOTE="$2"
+
+# Validation
+if [ -z "$BASEDIR" ]; then
+ echo "Usage: hydra [hydra] register <path>"
+ exit 1
+elif grep -q -e "^$HYDRA=" $CONFIG &> /dev/null; then
+ echo "Hydra $HYDRA already registered"
+ exit 1
+elif [ ! -d "$BASEDIR" ]; then
+ echo "Folder $BASEDIR does not exists, maybe you want to run 'hydra $HYDRA init'?"
+ exit 1
+fi
+
+# Reparse basedir to force absolute folder
+BASEDIR="`cd $BASEDIR && pwd`"
+
+# Add entry
+echo "Registering hydra $HYDRA..."
+chmod 700 $BASEDIR
+echo "$HYDRA=\"$BASEDIR\"" >> $CONFIG